## bs2b bs2b |

## Properties

gint | fcut | Read / Write
gint | feed | Read / Write

## Types and Values

struct | GstBs2b

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstBs2b

## Implemented Interfaces

GstBs2b implements GstPreset.

## Description

Improve headphone listening of stereo audio records using the bs2b library. It does so by mixing the left and right channel in a way that simulates a stereo speaker setup while using headphones.

### Example pipelines

    1
    gst-launch-1.0 audiotestsrc ! "audio/x-raw,channel-mask=(bitmask)0x1" ! interleave name=i ! bs2b ! autoaudiosink audiotestsrc freq=330 ! "audio/x-raw,channel-mask=(bitmask)0x2" ! i.

Play two independent sine test sources and crossfeed them.

## Synopsis

### Element Information

plugin | bs2b
author | Christoph Reiter <reiter.christoph@gmail.com>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 2000, 384000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved
| audio/x-raw, channels=(int)1

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 2000, 384000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved
| audio/x-raw, channels=(int)1

## Functions

## Types and Values

### struct GstBs2b

    struct GstBs2b;

## Property Details

### The `“fcut”` property

      “fcut”                     gint

Low-pass filter cut frequency (Hz).

Flags: Read / Write

Allowed values: [300,2000]

Default value: 700

### The `“feed”` property

      “feed”                     gint

Feed Level (dB/10).

Flags: Read / Write

Allowed values: [10,150]

Default value: 45